Bug 828115 - Gluster - Installer: engine-setup fails on looking for rhevm RPM which don't exist in Gluster
Gluster - Installer: engine-setup fails on looking for rhevm RPM which don't ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
yeylon@redhat.com
infra, gluster
:
Depends On:
Blocks: 817967 825285
  Show dependency treegraph
 
Reported: 2012-06-04 05:39 EDT by Daniel Paikov
Modified: 2016-04-18 02:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:42:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-06-04 05:39:55 EDT
engine-setup fails on looking for base "rhevm" RPM. Base RPM name should be changed to "rhsc".


Installing:
Configuring Red Hat Enterprise Virtualization Manager... [ DONE ]
Creating CA...                                           [ DONE ]
Editing JBoss Configuration...                           [ DONE ]
Setting Database Configuration...                        [ DONE ]
Setting Database Security...                             [ DONE ]
Creating Database...                                  [ ERROR ]
Error reading version number for package rhevm
Please check log file /var/log/ovirt-engine/engine-setup_2012_06_04_12_06_41.log for more information


2012-06-04 12:10:01::ERROR::engine-setup::2582::root:: Traceback (most recent call last):
  File "/usr/bin/engine-setup", line 2576, in <module>
    main(confFile)
  File "/usr/bin/engine-setup", line 2365, in main
    runSequences()
  File "/usr/bin/engine-setup", line 2311, in runSequences
    controller.runAllSequences()
  File "/usr/share/ovirt-engine/scripts/setup_controller.py", line 54, in runAllSequences
    sequence.run()
  File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 154, in run
    step.run()
  File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 60, in run
    function()
  File "/usr/bin/engine-setup", line 1108, in _updateVDCOptions
    "ProductRPMVersion":utils.getRpmVersion(basedefs.ENGINE_RPM_NAME),
  File "/usr/share/ovirt-engine/scripts/common_utils.py", line 689, in getRpmVersion
    rpmVersion, rc = execExternalCmd(cmd, True, msg=output_messages.ERR_READ_RPM_VER%(rpmName))
  File "/usr/share/ovirt-engine/scripts/common_utils.py", line 296, in execExternalCmd
    raise Exception(msg)
Exception: Error reading version number for package rhevm
Comment 2 Shireesh 2012-06-11 01:02:24 EDT
Fixed in subsequent QA drops.
Comment 3 Daniel Paikov 2012-06-11 03:58:44 EDT
Checked on 9xJun.

Note You need to log in before you can comment on or make changes to this bug.